"""
(c) 2023 LLC «DACOM M»
"""

import time

from veilrpc.utils.bazalt import states_response, CommandExecutionError
from veilrpc.utils.grpc import RpcCommandCrt


@states_response
def sleep(length, should_fail):
    time.sleep(length)
    if should_fail:
        raise CommandExecutionError('should_fail')
    return 'success'


@states_response
def grpc_sleep(length, should_fail, node_id, node_crt):
    res = RpcCommandCrt().apply(target=node_id, module="testing", function="sleep", crt=node_crt,
                                fargs={"length": length, "should_fail": should_fail})
    if res['result']:
        return res['comment']
    else:
        raise CommandExecutionError(res['comment'])
