"""
(c) 2023 LLC «DACOM M»
"""


class XMLFileError(Exception):
    """ Ошибки, связанные с манипуляциями над XML файлами """
    def __init__(self, domain_id):
        super(XMLFileError, self).__init__()
        self.domain_id = domain_id

    def __str__(self):
        return f"XML for domain_id {self.domain_id} not found on the host at init operator moment."


class SearchPathError(Exception):
    """ Ошибка в пути поиска по структуре данных"""
    def __init__(self, path: str):
        super(SearchPathError, self).__init__()
        self.path = path

    def __str__(self):
        return f"Wrong path configuration: {self.path}"


class LibvirtDomainError(Exception):
    """ Ошибки по обнаружению объекта домена """
    def __init__(self, domain_id):
        super(LibvirtDomainError, self).__init__()
        self.domain_id = domain_id

    def __str__(self):
        return f"Domain {self.domain_id} not found in libvirt space."


class RequiredTagsError(Exception):
    pass


class FileExtentionError(Exception):
    pass
