"""
(c) 2023 LLC «DACOM M»
"""

#  !!! integration with code/veil-vigilant/tests_api/controller/test_snmpwalk.py

ROOT_MIB_LABEL = "NIIMASSHTAB-VEIL-ROOT-MIB"

# VMINFO
VMINFO_MIB_LABEL = "NIIMASSHTAB-VEIL-VMINFO-MIB"
VMINFO_MODULE = "veilVmInfoMIB"
# Tables
VM_TABLE = "veilVmTable"
VM_TABLE_COUNTER = "veilVmCount"
VM_TABLE_COLUMN2 = "veilVmUuid"   # the first column - index of the row
VM_TABLE_COLUMN3 = "veilVmStatus"
VM_TABLE_COLUMN_COUNT = 3
# ---
VM_AGG_TABLE = "veilVmAggTable"
VM_AGG_TABLE_COUNTER = "veilVmAggCount"
VM_AGG_TABLE_COLUMN2 = "veilVmAggUuid"   # the first column - index of the row
VM_AGG_TABLE_COLUMN_COUNT = 11


# SYSTEM
SYSTEM_MIB_LABEL = "NIIMASSHTAB-VEIL-SYSTEM-MIB"
SYSTEM_MODULE = "veilSystemMIB"
# Scalars
ENV = "veilSystemEnv"
ROLE = "veilSystemRole"
BASE_VERSION = "veilSystemBaseVersion"
# Tables
PRODUCT_VERSIONS_TABLE = "veilSystemProductVersionsTable"
PRODUCT_VERSIONS_TABLE_COUNTER = "veilSystemProductVersionsCount"
PRODUCT_VERSIONS_TABLE_COLUMN2 = "veilSystemProductLabel"
PRODUCT_VERSIONS_TABLE_COLUMN3 = "veilSystemProductVersion"
PRODUCT_VERSIONS_TABLE_COLUMN_COUNT = 3

# ENV
ENV_MIB_LABEL = "NIIMASSHTAB-VEIL-ENV-MIB"
ENV_MODULE = "veilEnvMIB"
# Tables
IPMI_TABLE = "veilEnvIPMITable"
IPMI_TABLE_COUNTER = "veilEnvIPMICount"
IPMI_TABLE_COLUMN2 = "veilEnvIPMIName"
IPMI_TABLE_COLUMN3 = "veilEnvIPMIStatus"
IPMI_TABLE_COLUMN_COUNT = 3
# ---
HDD_TABLE = "veilEnvHDDTable"
HDD_TABLE_COUNTER = "veilEnvHDDCount"
HDD_TABLE_COLUMN2 = "veilEnvHDDName"
HDD_TABLE_COLUMN3 = "veilEnvHDDStatus"
HDD_TABLE_COLUMN_COUNT = 3

# HADR
HADR_MIB_LABEL = "NIIMASSHTAB-VEIL-HADR-MIB"
HADR_MODULE = "veilHADRMIB"
# Tables
VM_HA_TABLE = "veilHAVmTable"
VM_HA_TABLE_COUNTER = "veilHAVmCount"
VM_HA_TABLE_COLUMN2 = "veilHAVmUuid"
VM_HA_TABLE_COLUMN_COUNT = 9
# --- veilHAVmTable::veilHAVmNodes
VM_NODES_HA_TABLE = "veilHAVmNodesTable"
VM_NODES_HA_TABLE_COUNTER = "veilHAVmNodesCount"
VM_NODES_HA_TABLE_COLUMN2 = "veilHAVmNodesUuid"
VM_NODES_HA_TABLE_COLUMN_COUNT = 6
# ---
CLUSTER_HA_TABLE = "veilHAClusterTable"
CLUSTER_HA_TABLE_COUNTER = "veilHAClusterCount"
CLUSTER_HA_TABLE_COLUMN2 = "veilHAClusterUuid"
CLUSTER_HA_TABLE_COLUMN_COUNT = 4
# --- veilHAClusterTable::veilHAClusterNodes
CLUSTER_NODES_HA_TABLE = "veilHAClusterNodesTable"
CLUSTER_NODES_HA_TABLE_COUNTER = "veilHAClusterNodesCount"
CLUSTER_NODES_HA_TABLE_COLUMN2 = "veilHAClusterNodesUuid"
CLUSTER_NODES_HA_TABLE_COLUMN_COUNT = 6

# RESOURCES
RESOURCES_MIB_LABEL = "NIIMASSHTAB-VEIL-RESOURCES-MIB"
RESOURCES_MODULE = "veilResourcesMIB"
# Scalars
CPU_USED = "veilResourcesCPUUsed"
MEM_COUNT = "veilResourcesMemCount"
MEM_FREE = "veilResourcesMemFree"
MEM_USED = "veilResourcesMemUsed"
# Tables
CPU_PROC_USED_TABLE = "veilResourcesCPUProcUsedTable"
CPU_PROC_USED_TABLE_COUNTER = "veilResourcesCPUProcUsedCount"
CPU_PROC_USED_TABLE_COLUMN2 = "veilResourcesCPULabel"
CPU_PROC_USED_TABLE_COLUMN_COUNT = 3
# ---
DISKS_TABLE = "veilResourcesDisksTable"
DISKS_TABLE_COUNTER = "veilResourcesDisksCount"
DISKS_TABLE_COLUMN2 = "veilResourcesDiskLabel"
DISKS_TABLE_COLUMN_COUNT = 4
# ---
NET_TABLE = "veilResourcesNetTable"
NET_TABLE_COUNTER = "veilResourcesNetCount"
NET_TABLE_COLUMN2 = "veilResourcesNetLabel"
NET_TABLE_COLUMN_COUNT = 4
# ---
RES_CLUSTER_TABLE = "veilResourcesClusterTable"
RES_CLUSTER_TABLE_COUNTER = "veilResourcesClusterCount"
RES_CLUSTER_TABLE_COLUMN2 = "veilResourcesClusterUuid"
RES_CLUSTER_TABLE_COLUMN_COUNT = 12

DACOM_ROOT_MIB_LABEL = "DACOM-SPACEVM-ROOT-MIB"

# VMINFO
DACOM_VMINFO_MIB_LABEL = "DACOM-SPACEVM-VMINFO-MIB"
DACOM_VMINFO_MODULE = "spacevmVmInfoMIB"
# Tables
DACOM_VM_TABLE = "spacevmVmTable"
DACOM_VM_TABLE_COUNTER = "spacevmVmCount"
DACOM_VM_TABLE_COLUMN2 = "spacevmVmUuid"
DACOM_VM_TABLE_COLUMN3 = "spacevmVmStatus"
# ---
DACOM_VM_AGG_TABLE = "spacevmVmAggTable"
DACOM_VM_AGG_TABLE_COUNTER = "spacevmVmAggCount"
DACOM_VM_AGG_TABLE_COLUMN2 = "spacevmVmAggUuid"


# SYSTEM
DACOM_SYSTEM_MIB_LABEL = "DACOM-SPACEVM-SYSTEM-MIB"
DACOM_SYSTEM_MODULE = "spacevmSystemMIB"
# Scalars
DACOM_ENV = "spacevmSystemEnv"
DACOM_ROLE = "spacevmSystemRole"
DACOM_BASE_VERSION = "spacevmSystemBaseVersion"
# Tables
DACOM_PRODUCT_VERSIONS_TABLE = "spacevmSystemProductVersionsTable"
DACOM_PRODUCT_VERSIONS_TABLE_COUNTER = "spacevmSystemProductVersionsCount"
DACOM_PRODUCT_VERSIONS_TABLE_COLUMN2 = "spacevmSystemProductLabel"
DACOM_PRODUCT_VERSIONS_TABLE_COLUMN3 = "spacevmSystemProductVersion"

# ENV
DACOM_ENV_MIB_LABEL = "DACOM-SPACEVM-ENV-MIB"
DACOM_ENV_MODULE = "spacevmEnvMIB"
# Tables
DACOM_IPMI_TABLE = "spacevmEnvIPMITable"
DACOM_IPMI_TABLE_COUNTER = "spacevmEnvIPMICount"
DACOM_IPMI_TABLE_COLUMN2 = "spacevmEnvIPMIName"
DACOM_IPMI_TABLE_COLUMN3 = "spacevmEnvIPMIStatus"
# ---
DACOM_HDD_TABLE = "spacevmEnvHDDTable"
DACOM_HDD_TABLE_COUNTER = "spacevmEnvHDDCount"
DACOM_HDD_TABLE_COLUMN2 = "spacevmEnvHDDName"
DACOM_HDD_TABLE_COLUMN3 = "spacevmEnvHDDStatus"

# HADR
DACOM_HADR_MIB_LABEL = "DACOM-SPACEVM-HADR-MIB"
DACOM_HADR_MODULE = "spacevmHADRMIB"
# Tables
DACOM_VM_HA_TABLE = "spacevmHAVmTable"
DACOM_VM_HA_TABLE_COUNTER = "spacevmHAVmCount"
DACOM_VM_HA_TABLE_COLUMN2 = "spacevmHAVmUuid"
# --- veilHAVmTable::veilHAVmNodes
DACOM_VM_NODES_HA_TABLE = "spacevmHAVmNodesTable"
DACOM_VM_NODES_HA_TABLE_COUNTER = "spacevmHAVmNodesCount"
DACOM_VM_NODES_HA_TABLE_COLUMN2 = "spacevmHAVmNodesUuid"
# ---
DACOM_CLUSTER_HA_TABLE = "spacevmHAClusterTable"
DACOM_CLUSTER_HA_TABLE_COUNTER = "spacevmHAClusterCount"
DACOM_CLUSTER_HA_TABLE_COLUMN2 = "spacevmHAClusterUuid"
# --- veilHAClusterTable::veilHAClusterNodes
DACOM_CLUSTER_NODES_HA_TABLE = "spacevmHAClusterNodesTable"
DACOM_CLUSTER_NODES_HA_TABLE_COUNTER = "spacevmHAClusterNodesCount"
DACOM_CLUSTER_NODES_HA_TABLE_COLUMN2 = "spacevmHAClusterNodesUuid"

# RESOURCES
DACOM_RESOURCES_MIB_LABEL = "DACOM-SPACEVM-RESOURCES-MIB"
DACOM_RESOURCES_MODULE = "spacevmResourcesMIB"
# Scalars
DACOM_CPU_USED = "spacevmResourcesCPUUsed"
DACOM_MEM_COUNT = "spacevmResourcesMemCount"
DACOM_MEM_FREE = "spacevmResourcesMemFree"
DACOM_MEM_USED = "spacevmResourcesMemUsed"
# Tables
DACOM_CPU_PROC_USED_TABLE = "spacevmResourcesCPUProcUsedTable"
DACOM_CPU_PROC_USED_TABLE_COUNTER = "spacevmResourcesCPUProcUsedCount"
DACOM_CPU_PROC_USED_TABLE_COLUMN2 = "spacevmResourcesCPULabel"
# ---
DACOM_DISKS_TABLE = "spacevmResourcesDisksTable"
DACOM_DISKS_TABLE_COUNTER = "spacevmResourcesDisksCount"
DACOM_DISKS_TABLE_COLUMN2 = "spacevmResourcesDiskLabel"
# ---
DACOM_NET_TABLE = "spacevmResourcesNetTable"
DACOM_NET_TABLE_COUNTER = "spacevmResourcesNetCount"
DACOM_NET_TABLE_COLUMN2 = "spacevmResourcesNetLabel"
# ---
DACOM_RES_CLUSTER_TABLE = "spacevmResourcesClusterTable"
DACOM_RES_CLUSTER_TABLE_COUNTER = "spacevmResourcesClusterCount"
DACOM_RES_CLUSTER_TABLE_COLUMN2 = "spacevmResourcesClusterUuid"

USED_MIBS_LABELS = [
    #  NIIMASSHTAB MIBS
    ROOT_MIB_LABEL,
    VMINFO_MIB_LABEL,
    SYSTEM_MIB_LABEL,
    ENV_MIB_LABEL,
    HADR_MIB_LABEL,
    RESOURCES_MIB_LABEL,
    #  DACOM MIBS
    DACOM_ROOT_MIB_LABEL,
    DACOM_VMINFO_MIB_LABEL,
    DACOM_SYSTEM_MIB_LABEL,
    DACOM_ENV_MIB_LABEL,
    DACOM_HADR_MIB_LABEL,
    DACOM_RESOURCES_MIB_LABEL,
]
